# RPM spec file for Sympa.

%define name    sympa
%define version 6.2a.39
%define release 1

Name:     %{name}
Version:  %{version}
Release:  %{release}
Summary(fr): Sympa est un gestionnaire de listes électroniques
Summary:  Sympa is a powerful multilingual List Manager
License:  GPL
Group:    System Environment/Daemons
URL:      http://www.sympa.org/
Source:   http://www.sympa.org/distribution/%{name}-%{version}.tar.gz
Requires: smtpdaemon
Requires: perl >= 5.008
Requires: perl(Archive::Zip) >= 1.05
Requires: perl(CGI) >= 3.51
Requires: perl(Class::Singleton) >= 1.03
Requires: perl(DateTime::Format::Mail) >= 0.28
Requires: perl(DateTime::TimeZone) >= 1.10
Requires: perl(DB_File) >= 1.75
Requires: perl(DBD::mysql) >= 4.008
Requires: perl(DBI) >= 1.48
Requires: perl(Digest::MD5) >= 2.00
Requires: perl(Email::Simple) >= 2.100
Requires: perl(Encode)
Requires: perl(File::Copy::Recursive) >= 0.36
Requires: perl(File::NFSLock)
Requires: perl(HTML::FormatText)
Requires: perl(HTML::StripScripts::Parser) >= 1.03
Requires: perl(HTML::TreeBuilder)
Requires: perl(IO::File) >= 1.10
Requires: perl(IO::Scalar)
Requires: perl(List::Util::XS) >= 1.20
Requires: perl(Locale::Messages) >= 1.22
Requires: perl(LWP)
Requires: perl(Mail::Address) >= 1.70
Requires: perl(MIME::Base64) >= 3.03
Requires: perl(MIME::Charset) >= 1.010
Requires: perl(MIME::EncWords) >= 1.014
Requires: perl(MIME::Lite::HTML) >= 1.23
Requires: perl(MIME::Tools) >= 5.423
Requires: perl(Net::CIDR) >= 0.16
Requires: perl(Net::DNS) >= 0.65
Requires: perl(Proc::ProcessTable) >= 0.44
Requires: perl(Template)
Requires: perl(Term::ProgressBar) >= 2.09
Requires: perl(Text::LineFold) >= 2011.05
Requires: perl(Time::HiRes) >= 1.29
Requires: perl(Unicode::CaseFold) >= 0.02
Requires: perl(URI::Escape) >= 1.35
Requires: perl(XML::LibXML)
Requires: mhonarc >= 2.6.18
Requires: webserver
Requires: openssl >= 0.9.5a
Prereq: /usr/sbin/useradd
Prereq: /usr/sbin/groupadd
BuildRoot: %{_tmppath}/%{name}-%{version}

%description
Sympa is scalable and highly customizable mailing list manager. It can cope
with big lists (200,000 subscribers) and comes with a complete (user and admin)
Web interface. It is internationalized, and supports the us, fr, de, es, it,
fi, and chinese locales. A scripting language allows you to extend the behavior
of commands. Sympa can be linked to an LDAP directory or an RDBMS to create
dynamic mailing lists. Sympa provides S/MIME-based authentication and
encryption.

%prep
%setup -q

%build
./configure \
    --enable-fhs \
    --prefix=%{_prefix} \
    --docdir=%{_docdir}/${name} \
    --libdir=%{_libdir} \
    --sysconfdir=%{_sysconfdir}/sympa \
    --localstatedir=%{_localstatedir} \
    --with-confdir=%{_sysconfdir} \
    --with-initdir=%{_initrddir} \
    --with-smrshdir=%{_sysconfdir}/smrsh
make DESTDIR=%{buildroot}

%install
rm -rf %{buildroot}
make install DESTDIR=%{buildroot}
cp -rp %{buildroot}%{_docdir}/%{name}/* ./
rm -rf %{buildroot}%{_docdir}/%{name}/*

%check
make check

%clean
rm -rf %{buildroot}

%pre
# Create "sympa" group if it does not exists
if ! getent group sympa > /dev/null 2>&1; then
  /usr/sbin/groupadd sympa
fi

# Create "sympa" user if it does not exists
if ! getent user sympa > /dev/null 2>&1; then
  /usr/sbin/useradd -r -g sympa \
      -d %{_localstatedir}/lib/sympa \
      -c "system user for sympa" \
      -s "/bin/bash"
fi

%files
%defattr(-,root,root)
%doc AUTHORS COPYING dot.perltidyrc NEWS README* samples sympa.pdf
%attr(-,sympa,sympa) %{_localstatedir}/lib/sympa
%attr(-,sympa,sympa) %{_localstatedir}/spool/sympa
%{_sbindir}/*
%{_libexecdir}/*
%{_libdir}/sympa
%{_mandir}/man1/*
%{_mandir}/man3/*
%{_mandir}/man8/*
%{_datadir}/sympa
%{_datadir}/locale/*/*/*
%{_sysconfdir}/smrsh/*
%config(noreplace) %{_sysconfdir}/sympa.conf
%config(noreplace) %{_sysconfdir}/sympa
%{_initrddir}/sympa
